%define version 2.2

Summary: Utilities for making and checking MS-DOS FAT filesystems on Linux.
Name: dosfstools
Version: %{version}
Release: 9
Copyright: GPL
Group: Applications/System
Source: ftp://metalab.unc.edu/pub/Linux/system/filesystems/dosfs/dosfstools-%{version}.src.tar.gz
Patch0: dosfstools-2.1-llseek.patch
Patch1: dosfstools-2.2-288.patch
Patch2: dosfstools-2.2-ia64.patch
Patch3: dosfstools-2.2-linux24.patch
BuildRoot: /var/tmp/dosfstools-root
Obsoletes: mkdosfs-ygg

%description
The dosfstools package includes the mkdosfs and dosfsck utilities,
which respectively make and check MS-DOS FAT filesystems on hard
drives or on floppies.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .linux24

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8

install -m755 -s mkdosfs/mkdosfs $RPM_BUILD_ROOT/sbin/mkfs.msdos
ln $RPM_BUILD_ROOT/sbin/mkfs.msdos $RPM_BUILD_ROOT/sbin/mkdosfs
install -m 644 mkdosfs/mkdosfs.8 $RPM_BUILD_ROOT%{_mandir}/man8
ln -sf mkdosfs.8.gz $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.msdos.8.gz

install -m755 -s dosfsck/dosfsck $RPM_BUILD_ROOT/sbin/dosfsck
ln $RPM_BUILD_ROOT/sbin/dosfsck $RPM_BUILD_ROOT/sbin/fsck.msdos
install -m 644 dosfsck/dosfsck.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/mkfs.msdos 
/sbin/mkdosfs
/sbin/dosfsck
/sbin/fsck.msdos
%{_mandir}/man8/mkfs.msdos.8*
%{_mandir}/man8/mkdosfs.8*
%{_mandir}/man8/dosfsck.8*

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 17 2000 Bill Nottingham <notting@redhat.com>
- hard link mkdosfs

* Thu Jun 15 2000 Matt Wilson <msw@redhat.com>
- FHS
- patch to build against 2.4 kernel headers (patch3)

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- fix for ia64

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- remove mkdosfs.8 symlink, symlink mkdosfs.8.gz to mkfs.msdos.8.gz

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions and summary
- man pages are compressed

* Thu Dec 16 1999 Cristian Gafton <gafton@redhat.com>
- fix the 2.88MB drives (patch from hjl)

* Mon Aug 16 1999 Matt Wilson <msw@redhat.com>
- updated to 2.2

* Sun Jun 27 1999 Matt Wilson <msw@redhat.com>
- changed to new maintainer, renamed to dosfstools

* Sat Apr 17 1999 Jeff Johnson <jbj@redhat.com>
- fix mkdosfs on sparc (#1746)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- build for RH 6.0

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- avoid using unsinged long on alphas 

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
